## libieee1284 0.2.11

=== debian/changelog ===
libieee1284 (0.2.11-12) unstable; urgency=low

  * New maintainer (closes: #688539).
  * Update packaging.

  [ Daniel Schepler <schepler@debian.org> ]
  * Update libtool at build time using dh-autoreconf, in order to fix a
    build failure on x32 (closes: #702312).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Sep 2013 00:44:18 +0200

libieee1284 (0.2.11-11) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.4.
  * Enable hardened build flags.
  * Add debian/watch.
  * Add build-{arch,indep} targets.

 -- Emanuele Rocca <ema@debian.org>  Wed, 03 Apr 2013 01:08:21 +0200

libieee1284 (0.2.11-10) unstable; urgency=low

  * dh_python2 migration.

  * debian/control:
    + Remove python-support build-dep.
    + Bump python-all-dev build-dep to (>= 2.6.6-3~).
    + Add X-Python-Version: >= 2.2.
  * debian/pyversions:
    + Remove.
  * debian/rules:
    + Use dh_python2 instead of dh_pysupport.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jul 2011 22:38:20 +0200

libieee1284 (0.2.11-9) unstable; urgency=low

  * debian/rules:
    + Establish temporary libieee1284.so symlink for Python modules
      installation to handle multiarch vs. non-multiarch paths for the
      main library and Python modules.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 12:48:57 +0200

libieee1284 (0.2.11-8) unstable; urgency=low

  * Multiarch conversion.

  * debian/control:
    + Bump debhelper build-dep to >= 8.1.3 for multiarch.
    + Add Pre-Depends: ${misc:Pre-Depends} to libieee1284-3.
    + Tag libieee1284-3 with Multi-Arch: same.
  * debian/rules:
    + Set multiarch path for the main library build.
  * debian/libieee1284-3.install, debian/libieee1284-3-dev.install:
    + Adapt for multiarch.
  * debian/*.dirs:
    + Removed; unneeded.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 11:26:01 +0200

libieee1284 (0.2.11-7) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
  * debian/libieee1284-3-dev.install:
    + Don't install libtool .la file (closes: #621535).

 -- Julien BLACHE <jblache@debian.org>  Fri, 08 Apr 2011 18:41:04 +0200

libieee1284 (0.2.11-6) unstable; urgency=low

  * Moved to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add ${misc:Depends}.
    + Remove dpatch build-dep.
  * debian/rules:
    + Remove dpatch code.

  * All patches refreshed, tagged with DEP-3 headers.

 -- Julien BLACHE <jblache@debian.org>  Thu, 06 May 2010 11:19:54 +0200

libieee1284 (0.2.11-5) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).
  * debian/copyright:
    + Add missing copyright statements.

 -- Julien BLACHE <jblache@debian.org>  Thu, 10 Jul 2008 10:42:22 +0200

libieee1284 (0.2.11-4) unstable; urgency=low

  * debian/patches/02_release_on_close.dpatch:
    + Added; release port on close, helps with the python module when an
      object gets deleted. Patch from Uwe Kleine-Koenig
      <Uwe.Kleine-Koenig@digi.com> (closes: #461068).

 -- Julien BLACHE <jblache@debian.org>  Fri, 18 Jan 2008 11:12:04 +0100

libieee1284 (0.2.11-3) unstable; urgency=low

  * debian/rules:
    + Move patch/unpatch rules into debian/rules.
    + Rework python modules builds.
    + Fix parallel builds.
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Fri, 07 Dec 2007 14:30:01 +0100

libieee1284 (0.2.11-2) unstable; urgency=low

  * debian/patches/11_autotools_update.dpatch:
    + Updated; remove config.{sub,guess} from the diff.

 -- Julien BLACHE <jblache@debian.org>  Sun, 02 Dec 2007 11:29:24 +0100

libieee1284 (0.2.11-1) unstable; urgency=low

  * New upstream release (closes: #444456).
  * debian/patches/02_procfs_nlink_zero.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_autotools_update.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 28 Sep 2007 19:49:29 +0200

libieee1284 (0.2.10-8) unstable; urgency=low

  * debian/patches/02_procfs_nlink_zero.dpatch:
    + Added; Remove the nlink > 2 check from the procfs detection routine.
      Newer kernels have nlink = 0 for all directories in procfs (at least
      under /proc/sys).

 -- Julien BLACHE <jblache@debian.org>  Fri, 17 Aug 2007 11:48:22 +0200

libieee1284 (0.2.10-7) unstable; urgency=low

  * debian/rules:
    + Do not ignore make distclean errors.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 19:15:45 +0200

libieee1284 (0.2.10-6) unstable; urgency=low

  * debian/control:
    + Use ${binary:Version} instead of ${Source-Version}.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jun 2007 21:07:23 +0200

libieee1284 (0.2.10-5) unstable; urgency=low

  * debian/control:
    + Added build-dependency on dpatch.
  * debian/rules:
    + Added dpatch support.
  * debian/patches/10_kfreebsd-amd64.dpatch:
    + Added; Adds support for kFreeBSD-amd64 (closes: #413176).

 -- Julien BLACHE <jblache@debian.org>  Sat,  3 Mar 2007 11:12:55 +0100

libieee1284 (0.2.10-4) unstable; urgency=low

  * Adapted to the New New New Python policy.

 -- Julien BLACHE <jblache@debian.org>  Wed, 11 Oct 2006 14:53:12 +0200

libieee1284 (0.2.10-3) unstable; urgency=low

  * Adapted to the New New Python policy.

 -- Julien BLACHE <jblache@debian.org>  Sun, 25 Jun 2006 11:58:10 +0200

libieee1284 (0.2.10-2) unstable; urgency=low

  * New Python policy.
  * debian/compat:
    + Switch to DH_COMPAT 5.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Build-Depend on chrpath, python things, and debhelper (>= 5.0.37.1)
  * debian/copyright:
    + Update FSF address.
  * debian/rules:
    + Remove rpath from the python module.
    + Build the lib, then the python modules (trying to build the lib only once).

 -- Julien BLACHE <jblache@debian.org>  Sat, 17 Jun 2006 15:43:49 +0200

libieee1284 (0.2.10-1) unstable; urgency=low


