=== debian/control ===
Source: libieee1284
Priority: optional
Section: libs
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 8.1.3), python-all-dev (>= 2.6.6-3~), autotools-dev, dh-autoreconf, automake, chrpath
Standards-Version: 3.9.4
Homepage: http://cyberelk.net/tim/software/libieee1284/
X-Python-Version: >= 2.2

Package: libieee1284-3-dev
Section: libdevel
Architecture: any
Depends: libieee1284-3 (= ${binary:Version}), ${misc:Depends}
Description: cross-platform library for parallel port access [development files]
 This library was designed to ease the use of the parallel port. It will
 automatically figure out which access method is available, depending on the
 running kernel and the permissions of the process.
 .
 It handles particular queries to the devices, like fetching the Device ID of
 a device.
 .
 This package contains the development files needed to build your applications
 using the libieee1284.

Package: libieee1284-3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cross-platform library for parallel port access
 This library was designed to ease the use of the parallel port. It will 
 automatically figure out which access method is available, depending on the 
 running kernel and the permissions of the process. 
 . 
 It handles particular queries to the devices, like fetching the Device ID of 
 a device. 

Package: python-ieee1284
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings to libieee1284
 This module offers bindings to libieee1284, a cross-platform library for
 parallel port access. The library runs on Linux, BSD, Windows, Solaris.
