=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/libieee1284/libieee1284-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 01 Feb 2013 23:38:37 +0000
